Update existing schema
curl --request PUT \
--url https://api.kadoa.com/v4/schemas/{schemaId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"entity": "<string>",
"fields": [
{
"name": "<string>",
"description": "<string>",
"instruction": "<string>",
"fieldType": "SCHEMA",
"example": "<string>",
"shape": "<unknown>",
"isKey": true
}
]
}
'import requests
url = "https://api.kadoa.com/v4/schemas/{schemaId}"
payload = {
"name": "<string>",
"entity": "<string>",
"fields": [
{
"name": "<string>",
"description": "<string>",
"instruction": "<string>",
"fieldType": "SCHEMA",
"example": "<string>",
"shape": "<unknown>",
"isKey": True
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
entity: '<string>',
fields: [
{
name: '<string>',
description: '<string>',
instruction: '<string>',
fieldType: 'SCHEMA',
example: '<string>',
shape: '<unknown>',
isKey: true
}
]
})
};
fetch('https://api.kadoa.com/v4/schemas/{schemaId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": false,
"success": true,
"message": "<string>",
"updatedSchema": {
"id": "<string>",
"name": "<string>",
"isPublic": true,
"schema": [
{
"name": "<string>",
"description": "<string>",
"instruction": "<string>",
"fieldType": "SCHEMA",
"example": "<string>",
"shape": "<unknown>",
"isKey": true
}
],
"entity": "<string>",
"description": {
"hintText": "<string>"
}
}
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}{
"error": true,
"message": "<string>",
"details": "<unknown>"
}Schemas
Update existing schema
Update schema metadata or create a new revision with updated fields
PUT
/
v4
/
schemas
/
{schemaId}
Update existing schema
Authorizations
API key for authentication
Path Parameters
Schema ID
Body
application/json
Body
Request body for updating a schema
⌘I